# [Kirki](http://kirki.org) #

[![Build Status](https://travis-ci.org/aristath/kirki.svg?branch=master)](https://travis-ci.org/aristath/kirki) [![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/aristath/kirki/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/aristath/kirki/?branch=master) [![Code Climate](https://codeclimate.com/github/aristath/kirki/badges/gpa.svg)](https://codeclimate.com/github/aristath/kirki) [![Coverage Status](https://coveralls.io/repos/aristath/kirki/badge.svg?branch=master)](https://coveralls.io/r/aristath/kirki?branch=master) [![License](https://img.shields.io/badge/license-GPL--2.0%2B-red.svg)](https://raw.githubusercontent.com/aristath/kirki/master/LICENSE)

## The Kirki Toolkit

Kirki allows developers to add advanced controls to their customizer as well as customize the way the customizer looks and feels.

You can add beautiful options to your theme's customizer panel and allow your users to tweak any aspect of their theme.
You've got 23 control types that you can use, [styling options for the customizer](https://github.com/aristath/kirki/wiki/Styling-the-Customizer), as well as [automatic calculations for your styles](https://github.com/aristath/kirki/wiki/output) using the `output` argument on your controls.

You can use the default WordPress customizer syntax or one of the 2 alternative syntaxes that we have provided for you. Each project has different needs and we understand that, so the choice is up to you.

Converting from the default customizer to the syntax used by Kirki will only take a few minutes and will save you a lot of time in the long run. :)

The following controls are included in the Kirki Toolkit:

* checkbox
* color-alpha
* color
* custom
* dropdown-pages
* editor
* image
* multicheck
* number
* palette
* radio-buttonset
* radio-image
* radio
* select
* select2
* select2-multiple
* slider
* sortable
* switch
* text
* textarea
* toggle
* upload

For documentation and examples on how to use these controls, please visit [kirki.org](http://kirki.org/#fields).


## Installation

### Method 1: Use as a plugin
From your dashboard go to Plugins => Add New.
Search for "Kirki" and install it.
Once you install it, activate it.
For configuration instructions please visit [the wiki](https://github.com/aristath/kirki/wiki)

### Method 2: Embed in your theme
Please visit [the wiki page](https://github.com/aristath/kirki/wiki/Embedding-in-a-theme) for documentation and instructions.


### Sample data

The 2 last lines on the [kirki.php](https://github.com/aristath/kirki/blob/master/kirki.php) file are commented-out but if you uncomment them you will see your customizer flood with dummy controls.

[Changelog](https://github.com/aristath/kirki/wiki/Changelog)
